package com.kuyuntech.cofarcooking.device.sdk.devmode.standmixer;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import com.kuyuntech.cofarcooking.device.sdk.devmode.core.BaseDevMode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SmBlender extends BaseDevMode {


    public SmBlender(){

        this.setMode(WorkModes.SM_BLENDER);

        //时间
        this.setMinTime(0);
        this.setMaxTime(3 * 60);
        this.setDefaultTime(120);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(12);
        this.setMinMotorGear(9);
        this.setMaxMotorGear(12);
        this.setMotorGearChange(true);
        this.setMotorDirectionChange(false);

        //温度
        this.setDefaultTemp(0);
        this.setMinTemp(0);
        this.setMaxTemp(0);
        this.setTempChange(false);

    }



}
